Package net.postgis.jdbc.geometry

# Class MultiLineString

java.lang.Object
net.postgis.jdbc.geometry.Geometry
net.postgis.jdbc.geometry.ComposedGeom
net.postgis.jdbc.geometry.MultiLineString

All Implemented Interfaces:
  `Serializable`

public class MultiLineString extends ComposedGeom

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class net.postgis.jdbc.geometry.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class net.postgis.jdbc.geometry.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

## Constructor Summary

Constructors
Constructor
Description
`MultiLineString()`
`MultiLineString(String value)`
`MultiLineString(String value, boolean haveM)`
`MultiLineString(LineString[] lines)`

## Method Summary

Modifier and Type
Method
Description
`protected Geometry[]`
`createSubGeomArray(int nlines)`
Return the appropriate instance of the sub-geometry array - this encapsulates subclass specific array instantiation
`protected Geometry`
`createSubGeomInstance(String token, boolean haveM)`
Return the appropriate instance of the sub-geometry - this encapsulates subclass specific constructor calls
`LineString`
`getLine(int idx)`
`LineString[]`
`getLines()`
`int`
`hashCode()`
java.lang.Object hashCode implementation
`double`
`length()`
`int`
`numLines()`

### Methods inherited from class net.postgis.jdbc.geometry.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getPoint, getSubGeometry, innerWKT, isEmpty, iterator, mediumWKT, numGeoms, numPoints, setSrid`

### Methods inherited from class net.postgis.jdbc.geometry.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiLineString

public MultiLineString()

### MultiLineString

public MultiLineString(LineString[] lines)

### MultiLineString

public MultiLineString(String value) throws SQLException

Throws:
  `SQLException`

### MultiLineString

public MultiLineString(String value, boolean haveM) throws SQLException

Throws:
  `SQLException`

## Method Details

### hashCode

public int hashCode()
Description copied from class: `Geometry`
java.lang.Object hashCode implementation

Overrides:
  `hashCode` in class `ComposedGeom`

### createSubGeomInstance

protected Geometry createSubGeomInstance(String token, boolean haveM) throws SQLException
Description copied from class: `ComposedGeom`
Return the appropriate instance of the sub-geometry - this encapsulates subclass specific constructor calls

Specified by:
  `createSubGeomInstance` in class `ComposedGeom`
Parameters:
  `token` - The token containing the value for the sub-geometry
  `haveM` - flag to indicate the existence of a measure
Returns:
  the new sub-geometry
Throws:
  `SQLException` - if a SQLException is thrown

### createSubGeomArray

protected Geometry[] createSubGeomArray(int nlines)
Description copied from class: `ComposedGeom`
Return the appropriate instance of the sub-geometry array - this encapsulates subclass specific array instantiation

Specified by:
  `createSubGeomArray` in class `ComposedGeom`
Parameters:
  `nlines` - number of elements in the array
Returns:
  Geometry array corresponding to the sub-geometry

### numLines

public int numLines()

### getLines

public LineString[] getLines()

### getLine

public LineString getLine(int idx)

### length

public double length()